Subject: Re: [RFC] bnx2x: Insane RX rings

From: Rick Jones <[email-masked]>
Date: Fri, 10 Sep 2010 08:46:06 -0700

>>>I think simply that the RX queue size should be scaled by the number
>>>of queues we have.
> 
> 
> There are few factors that can be considered when scaling the ring
> sizes:
> - Number of queues per device
> - Number of devices
> - Available amount of memory
> - Others...
 >
> I'm thinking about adding a factor only according to the number of
> queues - this will still cause issues for systems with many ports. Does
> that sound reasonable or not enough? Do you think the number of devices
> or even the amount of free memory should be considered?

At one level we are talking about horses and barn doors - for example, the 
minimum memory requirements for ProLiants have already been set (and 
communicated for some time) taking memory usage of their LOMs (Lan On 
Motherboard) into account.

rick jones